# Uses of Class
org.stianloader.remapper.MemberRef

## Uses of MemberRef in org.stianloader.remapper

Fields in org.stianloader.remapper declared as MemberRef
Modifier and Type
Field
Description
`final @NotNull MemberRef`
SimpleTopLevelLookup.MemberRealm.`rootDefinition`
The top level declaration of the member realm.
Methods in org.stianloader.remapper that return MemberRef
Modifier and Type
Method
Description
`@NotNull MemberRef`
HierarchyAwareMappingDelegator.TopLevelMemberLookup.`getDefinition(@NotNull MemberRef reference)`
Obtain the root-level definition of a member.
`@NotNull MemberRef`
SimpleTopLevelLookup.`getDefinition(@NotNull MemberRef reference)`
Methods in org.stianloader.remapper that return types with arguments of type MemberRef
Modifier and Type
Method
Description
`static @NotNull @Unmodifiable Map<@NotNull MemberRef,@NotNull SimpleTopLevelLookup.MemberRealm>`
SimpleTopLevelLookup.`realmsOf(@Unmodifiable @NotNull Iterable<@NotNull org.objectweb.asm.tree.ClassNode> nodes)`
Compute a map of class member to member realm relations from a list of ClassNodes.
`static @NotNull @Unmodifiable Map<@NotNull MemberRef,@NotNull SimpleTopLevelLookup.MemberRealm>`
SimpleTopLevelLookup.`realmsOf(@Unmodifiable @NotNull List<@NotNull org.objectweb.asm.tree.ClassNode> nodes)`
Deprecated.
Use `SimpleTopLevelLookup.realmsOf(Iterable)` instead.
Methods in org.stianloader.remapper with parameters of type MemberRef
Modifier and Type
Method
Description
`@NotNull MemberRef`
HierarchyAwareMappingDelegator.TopLevelMemberLookup.`getDefinition(@NotNull MemberRef reference)`
Obtain the root-level definition of a member.
`@NotNull MemberRef`
SimpleTopLevelLookup.`getDefinition(@NotNull MemberRef reference)`
`@Nullable SimpleTopLevelLookup.MemberRealm`
SimpleTopLevelLookup.`realmOf(@NotNull MemberRef reference)`
Lookup the `SimpleTopLevelLookup.MemberRealm` of a `MemberRef`.
`@NotNull HierarchyAwareMappingDelegator<T>`
HierarchyAwareMappingDelegator.`remapMember(@NotNull MemberRef srcRef, @NotNull String dstName)`
`@NotNull MappingSink`
MappingSink.`remapMember(@NotNull MemberRef srcRef, @NotNull String dstName)`
Remaps a class member - that is either a field or a method.
`@NotNull SimpleMappingLookup`
SimpleMappingLookup.`remapMember(@NotNull MemberRef srcRef, @NotNull String dstName)`
Constructors in org.stianloader.remapper with parameters of type MemberRef
Modifier
Constructor
Description
``
`MemberRealm(@NotNull MemberRef rootDefinition, @Unmodifiable @NotNull Set<@NotNull String> realmMembers)`
Create a `SimpleTopLevelLookup.MemberRealm` with the supplied `SimpleTopLevelLookup.MemberRealm.rootDefinition` and `SimpleTopLevelLookup.MemberRealm.realmMembers`.
Constructor parameters in org.stianloader.remapper with type arguments of type MemberRef
Modifier
Constructor
Description
``
`SimpleTopLevelLookup(@Unmodifiable @NotNull Map<MemberRef,SimpleTopLevelLookup.MemberRealm> realms)`
Create a `SimpleTopLevelLookup` from an immutable map of `member references` to their respective `SimpleTopLevelLookup.MemberRealm`.